/**
 * Created by Administrator on 2017/2/10 0010.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('MainCtrl', MainCtrl);

  function MainCtrl($scope, $httpFactory, $ionicSlideBoxDelegate, $ionicPopup, $state, RouteData, $rootScope, $timeout, localStorageService) {
    {
      //初始化轮播图
      //initMarqueeImg();
      $scope.currentUser = window.appv.currentUser;
      $rootScope.reload_main = reload_main;
      //方法绑定
      $scope.sideClick = sideClick;
      $scope.marqueeGo = marqueeGo;
      $scope.goArticle = goArticle;
      $scope.toMyLearning = toMyLearning;
      $scope.checkInviteNum = checkInviteNum;
      $rootScope.ios_isPayChoose && checkDate();     //审核开关打开时调用
      //初始化从入门到精通
      getMasterVideo();
      $scope.goMasterVideo = goMasterVideo;
      //一键加群
      $scope.joinQQGroup = joinQQGroup;
      /* 付费用户 */
      $scope.payUser = payUser;
    }

    function onDragUp() {
      var titleHeight = 54;
      var top = $('.tab_main ').offset().top;
      var contentTop = $('.ws_slide_box ').offset().top;
      var transparency;
      if ((top - contentTop) < 200) {
        transparency = ((top - contentTop) / 200).toFixed(2);      //求透明度
      } else {
        transparency = 1;
      }
      $scope.transparency = {
        background: 'rgba(255, 255, 255, ' + transparency + ')'
      };
      // $('.tab_main').css('background','rgba(255, 255, 255, '+ transparency +')');
      console.log((titleHeight + top) - $('.ws_slide_box ').offset().top);
    }

    function goMasterVideo(item) {
      //if(!appv.currentUser){
      //  $rootScope.login();
      //  return;
      //}
      RouteData.masterVideo = item;
      $state.go('app.masterVideo');
    }

    function getMasterVideo() {
      $httpFactory.main.fromEntryToMaster.list().then(function (res) {
        if (res.data.result == 0) {
          // http_-> https
          for (var cur of res.data.object) {
            cur.homePic = http2https(cur.homePic);
          }
          $scope.masterVideoList = res.data.object;
        }
      });
    }

    function http2https(url) {
      if (url && url.startsWith("http") && !url.startsWith("https")) {
        // http 转为 https
        url = url.replace("http", "https");
      }
      return url;
    }

    function reload_main() {
      initMarqueeImg();
      //初始化每周视频
      // $scope.weekVideo = [];
      // currentPage = 1;
      // getWeekVideo();
    }

    function sideClick() {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $state.go('app.table.selfCenter');
      $rootScope.tableInit && $rootScope.tableInit('app.table.selfCenter');
      //var sideMenuCtrl = angular.element(event.target).inheritedData('$ionSideMenusController');
      //sideMenuCtrl && sideMenuCtrl.toggle('left');
    }

    //我的学习
    function toMyLearning() {
      $state.go('app.learning');
    }

    function initMarqueeImg() {
      $httpFactory.main.getMarquee().then(function (res) {
        if (res.status == -1) {
          $scope.networkError = true;
        } else {
          $scope.networkError = false;
          if (res.data.result == 0) {
            $scope.marqueeList = res.data.object;
            $ionicSlideBoxDelegate.update();             //重绘幻灯片
            $ionicSlideBoxDelegate.loop(false);          //重新设置循环播放
          }
        }
      });
    }

    function checkInviteNum() {
      $httpFactory.main.checkDate().then(function (response) {
        if (response.data.result == 0) {
          if (response.data.object.sum < 3) {
            $rootScope.invitingPopups();
          }
        }
      });
    }

    function checkDate() {
      var date = new Date();
      if (!localStorageService.get("date")) {
        localStorageService.set("date", date.getTime());
        if ($rootScope.invitingPopups) {
          $scope.checkInviteNum();
        }
      } else {
        if (((new Date()).getTime() - 1000 * 60 * 60 * 24 * 3) > localStorageService.get("date") && $scope.checkInviteNum) {
          localStorageService.set("date", date.getTime());
          $scope.checkInviteNum();
        }
      }
    }

    function getWeekVideo() {
      $httpFactory.main.getWeekVideo(pageSize, currentPage).then(function (res) {
        currentPage++;
        if (res.data.result == 0) {
          var result = res.data.object;
          $scope.weekVideo = $scope.weekVideo.concat(result);
          if (result.length < pageSize) {
            $scope.hasNextPage = false;
          }
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
      });
    }

    function marqueeGo() {
      if (!appv.currentUser && $rootScope.ios_isPayChoose) {
        $state.go('app.loginBefore');
        return;
      }
      $state.go('app.live');
    }

    function goArticle(obj) {
      if (obj) {
        RouteData.article = {code: obj.code, type: _app.article_video};
        $state.go('app.article');
      }
    }

    //一键加群
    function joinQQGroup() {
      var key = 'joinQQGroup';
      $httpFactory.getSysConfig_1801(key).then(function (res) {
        if (res.data.result == 0) {
          var joinQQGroupJson = JSON.parse(res.data.object.list[0].value)
          if (_app.isAndroid) {
            JoinQQGroup.open({key: joinQQGroupJson.android.key});
          } else if (_app.isIos) {
            JoinQQGroup.open({uin: joinQQGroupJson.ios.uin, key: joinQQGroupJson.ios.key});
          }
        }
      });
    }

    function payUser() {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      if (appv.currentUser.isPayUser != 1) {
        $scope.myPopup = $ionicPopup.show({
          cssClass: 'myPopup',
          templateUrl: 'app/app/payUser.html',
          scope: $scope
        });

        //$ionicLoading.show({template:'<div><button ng-click="loadingHide()"></button><img src="../../img/icon.png"></div>',duration:''});
        return;
      }
      joinQQGroup();
    }
  }
})();
