/**
 * Created by Administrator on 2017/2/10 0010.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('MallCtrl', MainCtrl);

  function MainCtrl($scope, $state, $rootScope, RouteData, $httpFactory, $ionicSlideBoxDelegate,$ionicHistory) {
    {
      init();
      $rootScope.MallCtrl_refresh = refresh;
      $scope.commodClick = commodClick;
      $scope.back = back;
    }

    function back(){
      $ionicHistory.goBack()
    }

    function init() {
      $httpFactory.diamond.banner().then(function (response) {
        if (response.data.result == 0) {
          $scope.banners = response.data.object;

          $ionicSlideBoxDelegate.update();             //重绘幻灯片
          $ionicSlideBoxDelegate.loop(true);          //重新设置循环播放
        }
      });

      $httpFactory.diamond.mall(100, 1).then(function (response) {
        if (response.data.result == 0) {
          $scope.mall = response.data.object;
        }
      }, function (error) {
        console.log('error:', error);
      });
    }

    function refresh(){
      init()
    }

    function commodClick(commod) {
      commod.diamondBalance = $scope.mall.diamondBalance;
      RouteData.commod = commod;
      $state.go('app.commod');
    }
  }
})();
