/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('rechargeCtrl', MainController);

  function MainController($scope, $state, $httpFactory, $ionicHistory, $ionicPopup) {
    {
      loadDb();
      $scope.loadDb = loadDb;
      $scope.pay = pay;
    }

    function loadDb() {
      var imgArr = ['img/recharge/6.png', 'img/recharge/18.png',
        'img/recharge/98.png', 'img/recharge/208.png'];
      var productIdArr = ['recharge_gold6', 'recharge_gold18', 'recharge_gold98', 'recharge_gold208'];
      var list = [];
      for (var i = 0; i < imgArr.length; i++) {
        var product = {};
        product.img = imgArr[i];
        product.productId = productIdArr[i];
        list.push(product);
      }
      $scope.list = list;
    }

    function pay(product) {
      var prod = JSON.parse(product);
      console.log("product's id is " + prod.productId);
      window.iap.purchaseProduct(prod.productId, function (result) {
        console.log("支付成功");
        $httpFactory.section.order_gold({productCode: prod.productId}).then(success, function () {
          // 支付失败,提示联系管理员
          $scope.message = "金币充值失败,请通过用户反馈联系管理员";
          $scope.myPopup = $ionicPopup.show({
            cssClass: 'myPopup',
            templateUrl: 'app/main/masterVideo/pay_prompt2.html',
            scope: $scope
          });
        });

        function success(response) {
          if (response.data.result == 0) {
            $scope.message = "金币充值成功";
          } else {
            $scope.message = response.data.message + "金币充值失败,请通过用户反馈联系管理员";
          }
          $scope.myPopup = $ionicPopup.show({
            cssClass: 'myPopup',
            templateUrl: 'app/main/masterVideo/pay_prompt2.html',
            scope: $scope
          });
        }
      }, function (result, p2, p3) {
        console.log("支付失败");
        $scope.message = "支付失败:" + result;
        $scope.myPopup = $ionicPopup.show({
          cssClass: 'myPopup',
          templateUrl: 'app/main/masterVideo/pay_prompt2.html',
          scope: $scope
        });
      })
    }
  }

})();
