/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('recommendListCtrl', MainController);

  function MainController($scope, $state, $httpFactory,$ionicHistory) {
    {
      $scope.down = down;
      loadDb();
      $scope.loadDb = loadDb;
      $scope.count = 0;
    }

    function loadDb() {
      $httpFactory.softwaveRecommend_1804().then(function (res) {
        if(res.status==-1){
          $scope.networkError = true;
        }else{
          $scope.networkError = false;
          if (res.data.result == 0) {
            initList(res.data.object);
          } else {
            my.log("错误：" + res.data.message);
          }
        }
      });
    }

    function initList(list) {
      if (list == null) {
        return;
      }
      for (var i = 0; i < list.length; i++) {
        var soft = list[i];
        soft.date = new Date(soft.createDate).toLocaleDateString();
      }
      $scope.list = list;
    }

    function down(soft) {
      soft = JSON.parse(soft);
      if (_app.isAndroid || _app.isWeb) {
        my.log(soft.url);
        window.open(soft.url, '_system', 'location=no');
      } else if (_app.isIos) {
        my.log(soft.iosUrl);
        window.open(soft.iosUrl, '_system', 'location=no');
      }
    }
  }

})();
