/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('MyNoteCtrl', MyNoteCtrl)

  function MyNoteCtrl($scope, RouteData, $rootScope, $ionicLoading, localStorageService, $httpFactory, $ionicHistory, $state, $ionicPopup) {
    console.log('into MyNoteCtrl');

    /***** Controller ******/
    {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.currentUser = window.appv.currentUser;
      getInviteInfo();

      $scope.applyNote = applyNote;
      $scope.notEnough = notEnough;
      $scope.toInvite = toInvite;
      checkThird();
      $scope.f_share = f_share;
      $scope.navBack = navBack;
    }

    function getInviteInfo() {
      $scope.getGiftButton = false;
      $httpFactory.activity.myInviteInfo().then(function (res) {
        if (res.data.result == 0) {
          $scope.invitePeople = res.data.object.count;
          if (5 <= $scope.invitePeople) {
            //满足曾经可以领的人数条件
            $httpFactory.user.giftInfo().then(function (res) {
              if (res.data.result == 0) {
                $scope.noteData = res.data.object;
                //有填过个人信息的，都可以查看信息
                if (!!$scope.noteData.updateDate) {
                  $scope.getGiftButton = true;
                }
              }
            })
          }
        }
      })
    }

    function applyNote() {
      //2018-11-20 10:02:30 按钮是否点击做了判断，这里可以点击，则表明已经填过信息了
      $state.go('app.noteData');

      ////上版本5人，防止满5人已申请笔记本的用户，更新版本后无法进入
      //if ($scope.invitePeople < 5) {
      //  $scope.notEnoughPopup = $ionicPopup.show({
      //    cssClass: 'myPopup',
      //    templateUrl: 'app/app/inviteNotEnough.html',
      //    scope: $scope
      //  });
      //} else if (5 <= $scope.invitePeople && $scope.invitePeople < 8) {
      //  //5.6.7人的，先判断是否登记领笔记本信息，登记过的可以进入查看信息，未登记的提示未满8人
      //  $httpFactory.user.giftInfo().then(function (res) {
      //    if (res.data.result == 0) {
      //      $scope.noteData = res.data.object;
      //      if (!!$scope.noteData.updateDate) {
      //        $state.go('app.noteData');
      //      } else {
      //        $scope.notEnoughPopup = $ionicPopup.show({
      //          cssClass: 'myPopup',
      //          templateUrl: 'app/app/inviteNotEnough.html',
      //          scope: $scope
      //        });
      //      }
      //    }
      //  });
      //} else if ($scope.invitePeople >= 8) {
      //  $state.go('app.noteData');
      //}
    }

    function notEnough() {
      $scope.notEnoughPopup.close();
    }

    function toInvite() {
      $scope.toInvitePopup = $ionicPopup.show({
        cssClass: 'myPopup',
        templateUrl: 'app/app/self_invite_choose.html',
        scope: $scope
      });
    }

    function checkThird() {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.share = RouteData.shareInfo;
    }

    //分享
    function f_share(item, params) {
      switch (item.name) {
        case 'qq':
          $rootScope.share_qq(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'Qzone':
          $rootScope.share_Qzone(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'wechat':
          $rootScope.share_wechat(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'wechatTimeline':
          $rootScope.share_wechatTimeLine(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'weibo':
          $rootScope.share_weibo(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
      }

      function success(response) {
        console.log('分享成功', response);
      }

      function fail(failResponse) {
        console.log('分享失败', failResponse);
      }

    }

    function navBack() {
      $ionicHistory.goBack();
    }


  }

})();
