/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('NoteDataCtrl', NoteDataCtrl)

  function NoteDataCtrl($scope, RouteData, $rootScope, $ionicLoading, $timeout, $httpFactory, $ionicHistory, $state, $ionicPopup) {
    console.log('into NoteDataCtrl');

    /***** Controller ******/
    {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.currentUser = window.appv.currentUser;
      $scope.haveClick = false;
      $scope.noteData = {};
      initData();
      $scope.saveData = saveData;
      $scope.navBack = navBack;
    }

    function initData() {
      $httpFactory.user.giftInfo().then(function (res) {
        if (res.data.result == 0) {
          $scope.noteData = res.data.object;
        }
      });
    }

    function saveData() {
      if(!checkData()){
        return;
      }
      if($scope.haveClick){
        return;
      }
      $scope.haveClick = true;
      var data = {
        content: JSON.stringify({
          name: $scope.noteData.name,
          mobile: $scope.noteData.mobile,
          address: $scope.noteData.address,
        })
      }
      $httpFactory.user.giftInfoModify(data).then(function (res) {
        if (res.data.result == 0) {
          $ionicLoading.show({template: "提交成功，等待发货！"});
          $timeout(function () {
            $scope.haveClick = false;
            $state.go('app.table.selfCenter');
          }, 1000);
        } else {
          $ionicLoading.show({template: res.data.message});
          $scope.haveClick = false;
        }
      });
    }

    function checkData() {
      if (!$scope.noteData.name) {
        $ionicLoading.show({template: "请输入收件人姓名"});
        return false;
      }
      if (!$scope.noteData.mobile) {
        $ionicLoading.show({template: "请输入收件人联系电话"});
        return false;
      }
      if (!$scope.noteData.address) {
        $ionicLoading.show({template: "请输入收件人详细地址"});
        return false;
      }
      return true;
    }

    function navBack() {
      $ionicHistory.goBack();
    }


  }

})();
