/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('WechatCtrl', WechatCtrl)

  function WechatCtrl($scope, RouteData, $ionicLoading, localStorageService, $httpFactory, $ionicHistory, $state, $ionicPopup) {
    console.log('into WechatCtrl');

    /***** Controller ******/
    {
      $scope.wehchatNo = "saixueba";
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.currentUser = window.appv.currentUser;
      loadWechatNo();
      $scope.goWechat = goWechat;
      $scope.navBack = navBack;
    }

    function loadWechatNo() {
      var key = 'joinWechat';
      $httpFactory.getSysConfig_1801(key).then(function (res) {
        if (res.data.result == 0) {
          var json = JSON.parse(res.data.object.list[0].value);
          if (_app.isAndroid) {
            $scope.wehchatNo = json.android.wechatNo;
          } else if (_app.isIos) {
            $scope.wehchatNo = json.ios.wechatNo;
          } else {
            $scope.wehchatNo = json.android.wechatNo;
          }
        }
      });
    }

    function goWechat() {
      console.log("打开微信", $scope.wehchatNo);
      // https://blog.csdn.net/u014284625/article/details/80401250
      if (window.cordova && cordova.plugins && cordova.plugins.clipboard) {
        cordova.plugins.clipboard.copy($scope.wehchatNo, function (res) {
          console.log("复制成功", res);
          var opSys = "ios";
          if (window.cordova && cordova.platformId === "android") {
            opSys = "android";
          }
          $httpFactory.wx.wechatJoin($scope.wehchatNo, opSys);
        }, function (res) {
          console.log("复制失败", res);
        });
      } else {
        console.log("clipboard load fail");
      }
      window.location.href="weixin://";
    }

    function navBack() {
      $ionicHistory.goBack();
    }


  }

})();
