/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('FeedbackCtrl', MainController);

  function MainController($scope, $state, $httpFactory, warningForm, $ionicHistory, $ionicLoading, $timeout) {
    {
      $scope.data = {};
      $scope.tag = {};
      $scope.max = 100;
      $scope.cur = 0;
      $scope.detail = detail;
      $scope.navBack = navBack;
      $scope.feedbackList = feedbackList;
      $scope.saveOrUpdate = saveOrUpdate;

      initSuggestTag();
      $('#contentPhone').attr("disabled", true);
      $timeout(function () {
        $('#contentPhone').attr("disabled", false);
      }, 200);
      $scope.$on('$ionicView.afterEnter', function () {
        /*添加按钮水波动画*/
        window._bobo.init();
      });
    }

    function initSuggestTag() {
      var suggestTag = window._suggestTag;
      var result = [];
      /* 深度复制 */
      for (var i = 0; i < suggestTag.length; i++) {
        var tag = suggestTag[i];
        var tag2 = {
          "code": tag.code,
          "name": tag.name,
          "firstLine": tag.firstLine
        };
        result.push(tag2);
      }
      $scope.suggestTag = result;
    }

    /*反馈记录*/
    function feedbackList() {
      setTimeout(function () {
        my.log("反馈记录");
        $state.go("app.feedback_list");
      })
    }

    function detail() {
      $scope.data.suggest = $scope.data.suggest.replace(/\s+/g, "");
      var suggest = $scope.data.suggest;
      if (suggest.length > $scope.max) {
        suggest = suggest.substring(0, $scope.max);
        $scope.data.suggest = suggest;
      }
      $scope.cur = suggest.length;
      my.log("您已经输入" + $scope.cur + "字符");
    }

    /*提交反馈*/
    function saveOrUpdate() {
      var suggest = $scope.data.suggest;
      var phone = $scope.data.phone;
      var selectTag = [];
      //var selTagName = "";
      //for (var i in $scope.suggestTag) {
      //  var tag = $scope.suggestTag[i];
      //  if (tag.select) {
      //    selectTag += tag.code + ",";
      //    selTagName += tag.name + ",";
      //  }
      //}
      if (!suggest) {
        warningForm(null, "请输入您的建议或反馈");
        return;
      }
      $httpFactory.setting.userSuggest_1803(suggest, selectTag, phone).then(function (res) {
        if (res.data.result == 0) {
          my.log("提交成功");
          $ionicLoading.show({template: "提交成功"});
          ///*反馈设置 清空数据*/
          //initSuggestTag();
          //$scope.data.suggest = "";
          $timeout(function () {
            $ionicHistory.goToHistoryRoot($ionicHistory.currentHistoryId());
          }, 1000);
        } else {
          my.log("错误：" + res.data.message);
        }
      });
    }

    function navBack() {
      setTimeout(function () {
        $ionicHistory.goBack();
      })
    }

  }

})();
