/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('SpecialCtrl', MainController)

  function MainController($scope, $rootScope, $state, $httpFactory, RouteData, localStorageService) {
    console.time('SpecialCtrl');

    {
      $scope._active = 5;
      init();

      $scope.choiceSpecial = null;// 当前选择分类
      $scope.videoClick = videoClick;
      $scope.spClick = spClick;

      $rootScope.reload_SpecialCtrl = function () {
        init();
      }
    }

    function init() {
      // 本地存储直取
      var specialsLocal = localStorageService.get('specials');
      specialsLocal && ($scope.specials = specialsLocal);

      $httpFactory.special.spec().then(function (response) {// 服务端获取
        if(response.status==-1){
          $scope.networkError = true;
        }else{
          $scope.networkError = false;
          $scope.specials = response.data.object;
          localStorageService.set('specials', response.data.object);
        }
      })

      //------------------------------------
      // 本地存储直取
      var videosLocal = localStorageService.get('videos');
      videosLocal && ($scope.videos = videosLocal);
      var specialJson={};
      $httpFactory.special.video().then(function (response) {// 服务端获取

        // 更新示例图片
        for (var index in response.data.object) {
          var item = response.data.object[index];
          specialJson[item.categoryType] = true;
          specialJson[item.specCode] = true;
        }
        $scope.specialJson = specialJson;

        $scope.videos = response.data.object;
        localStorageService.set('videos', response.data.object);
      })
    }

    function spClick(item) {
      $scope.choiceSpecial = item;
    }

    function videoClick(specRes) {
      RouteData.special_vedeo = {specResCode: specRes.code};
      localStorageService.set('specialVedeo_specResCode', specRes.code);// 本地存储-节
      $state.go('app.special_vedeo');// 直播视频
    }

  }

})();
