// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('templates', []);
angular.module('starter', ['ionic', 'LocalStorageModule', 'saixueba.utilService', 'ngCordova', 'templates','angular-clipboard']);

console.timeEnd('App angular.module');
console.time('App deviceready');

var deviceready_syc = true;// 同步插件加载(如需异步，需同步更新index.html <body ng-app="starter">)
if (deviceready_syc) {
  console.time('@App config');
} else {
// 延迟加载 等同 <body ng-app="starter">
  if (window.location.protocol != 'http:') {
    document.addEventListener('deviceready', function onDeviceReady() {
      console.timeEnd('App deviceready');
      console.time('@App config');
      console.log((Date.now() - times) / 1000 + 's', 'deviceready ★'), times = Date.now();
      angular.bootstrap(document, ['starter']);
      console.log((Date.now() - times) / 1000 + 's', 'bootstrap ★') , times = Date.now();
    }, false);
  } else {
    angular.element(document).ready(function () {
      console.time('@App config');
      console.log((Date.now() - times) / 1000 + 's', 'document ready ★'), times = Date.now();
      angular.bootstrap(document, ['starter']);
      console.log((Date.now() - times) / 1000 + 's', 'bootstrap ★') , times = Date.now();
    });
  }
}


