/**
 * Created by Administrator on 2017/5/3 0003.
 */
(function(res){
  'use strict';

  angular
    .module('starter')
    .controller('CacheVideoCtrl',MainCtrl);

  function MainCtrl($rootScope,$scope,$cordovaFile,$state,CacheVideoFactory){
    {
      $scope.videoList = $rootScope.cacheVideoList;
      $scope.reloadVideo = reloadVideo;
      if(!$scope.videoList){
        $scope.videoList=[];
        $scope.videoList.push({fileName:'测试名字1',fileUrl:'测试地址1'});
        $scope.videoList.push({fileName:'测试名字2',fileUrl:'测试地址2'});
        $scope.videoList.push({fileName:'测试名字3',fileUrl:'测试地址3'});
      }
    }

    function reloadVideo(video){
      //下载正常
      if(video.finishDownload!=_app.finishDownload_error){
        return;
      }
      CacheVideoFactory.cacheVideo('expVideo',video,function(result){

      });
    }

    /*获取本地已缓冲视频（暂未使用）*/
    function getLocalVideo(){
      //获取移动端视频
      var dir,fileEntry,files;
      $cordovaFile.checkDir(cordova.file.externalDataDirectory, 'expVideo').then(function (fileSystem) {
        dir = fileSystem;                 //获取文件夹对象
        fileEntry = dir.createReader();       //创建文件夹对象的阅读器
        files = fileEntry.readEntries(success, fail);       //读取文件夹里的文件
      },fail);
      function success(files) {
        var fileList = [];
        for (var i = 0; i < files.length; i++) {
          if(!files[i].name.match('lock_')){
            fileList.push({
              fileName:files[i].name,
              fileUrl:files[i].nativeURL
            });
          }
        }
        $rootScope.cacheVideoList = fileList;
      }
      function fail(error){
        var a = error;
      }
    }
  }
})();
