/**
 * Created by Administrator on 2016/12/19 0019.
 */
(function(){
  'use strict';

  angular
    .module('starter')
    .controller('EarnGoldCtrl',MainCtrl);

  function MainCtrl($scope,$ionicPopup,$ionicLoading,$httpFactory,$rootScope,RouteData,$ionicHistory,$ionicSlideBoxDelegate,$state){
    {
      $scope = RouteData.wsScope.appScope;
      $scope.toLogin = toLogin;
      $scope.navBack = navBack;
      $scope.defaultPage = 0;
      $scope.clickChange = clickChange;
      $scope.changePage = changePage;
      $scope.diamondShare = diamondShare;
      $scope.toShopping = toShopping;
      $scope.getDiamondList = getDiamondList;
      $scope.userInfo = appv.currentUser;

      $scope.diamondNextPage = true;
      var pageSize = 3;
      var currentPage = 1;
      $scope.diamondList = [];
      initSign();
      getDiamondList();

      /*定义动态样式*/
      $scope.boxStyle = {
        width: '100%',
        height: _app.isIos?'calc(93vh - 74px)':'calc(93vh - 54px)'
      };
      $scope.scrollStyle = {
        height: _app.isIos?'calc(87vh - 74px)':'calc(87vh - 54px)',
        overflow: 'auto'
      };
      $scope.earn_div_style = {
        margin: window.screen.height<900?'1.5vh 5vw':'0 5vw'
      };
    }

    function toShopping(){
      $state.go('app.mall');
    }

    function diamondShare(type){
      $httpFactory.sys.config('shareApp').then(function (response) {
        $scope.diamondShareInfo = JSON.parse(response.data.object[0].value);
        $scope.diamondShareInfo.inviteCode = appv.currentUser && appv.currentUser.inviteCode;
        var params = $scope.diamondShareInfo.params;
        params.title = $scope.diamondShareInfo.params.title.replace('{{inviteCode}}', $scope.diamondShareInfo.inviteCode);
        params.description = $scope.diamondShareInfo.params.description.replace('{{inviteCode}}', $scope.diamondShareInfo.inviteCode);
        switch (type){
          case 'qq':
            $rootScope.share_qq(params.title, params.description, params.thumb, params.url).then(success, fail);
            return true;
          case 'wechat':
            $rootScope.share_wechat(params.title, params.description, params.thumb, params.url).then(success, fail);
            return true;
          default:
            break;
        }
      });
      function success(response) {
        //alert('分享成功：'+JSON.stringify(response));
        console.log('分享成功', response);
      }

      function fail(failResponse) {
        // alert('分享失败：'+JSON.stringify(failResponse));
        console.log('分享失败', failResponse);
      }
    }

    function getDiamondList(){
      $httpFactory.diamond.task(pageSize,currentPage).then(function(res){
        if(res.data.result == 0){
          currentPage++;
          var diamondLog = res.data.object;
          var list = diamondLog.logList;
          $scope.friendSum = diamondLog.friendSum;
          $scope.grandTotalSum = diamondLog.grandTotalSum;
          $scope.diamondList = $scope.diamondList.concat(list);
          if(list.length < pageSize){
            $scope.diamondNextPage = false;
          }
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
      });
    }

    function clickChange(index){
      changePage(index);
      $ionicSlideBoxDelegate.slide(index);         //跳到指定滑块
      // $ionicSlideBoxDelegate.previous();        //跳到上一个滑块
      // $ionicSlideBoxDelegate.next();            //跳到下一个滑块
    }

    function changePage(index){
      index==0 && ($scope.defaultPage = 0);
      index==1 && ($scope.defaultPage = 1);
      // getDiamondList();
    }

    function navBack(){
      $ionicHistory.goBack();
    }

    function toLogin(){
      $state.go('app.loginBefore');
    }

    function initSign(){
      $scope.isLogin && $httpFactory.everyDaySign().then(function(res){
        if(res.data.object){
          $scope.loginGold = res.data.object.addGold;
        }
      });
    }
  }
})();
