/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('MyMoneyCtrl', MyMoneyCtrl)

  function MyMoneyCtrl($scope, RouteData, $rootScope, $ionicLoading, localStorageService, $httpFactory, $ionicHistory, $state, $ionicPopup) {
    console.log('into MyMoneyCtrl');

    /***** Controller ******/
    {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.currentUser = window.appv.currentUser;
      getMoneyInfo();

      $scope.applyCash = applyCash;
      $scope.notEnough = notEnough;
      $scope.toInvite = toInvite;
      checkThird();
      $scope.f_share = f_share;
      $scope.navBack = navBack;
    }

    function getMoneyInfo() {
      $scope.localScholar = localStorageService.get('myScholar') ? localStorageService.get('myScholar') : "";
      $scope.localBalance = $scope.localScholar.balance ? $scope.localScholar.balance : 0;
    }

    function applyCash() {
      if ($scope.localBalance < 2000) {
        $scope.notEnoughPopup = $ionicPopup.show({
          cssClass: 'myPopup',
          templateUrl: 'app/app/moneyNotEnough.html',
          scope: $scope
        });
      } else {
        $state.go('app.cash');
      }
    }

    function notEnough() {
      $scope.notEnoughPopup.close();
    }

    function toInvite() {
      $scope.toInvitePopup = $ionicPopup.show({
        cssClass: 'myPopup',
        templateUrl: 'app/app/self_invite_choose.html',
        scope: $scope
      });
    }

    function checkThird() {
      if (!appv.currentUser) {
        $state.go('app.loginBefore');
        return;
      }
      $scope.share = RouteData.shareInfo;
    }

    //分享
    function f_share(item, params) {
      switch (item.name) {
        case 'qq':
          $rootScope.share_qq(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'Qzone':
          $rootScope.share_Qzone(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'wechat':
          $rootScope.share_wechat(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'wechatTimeline':
          $rootScope.share_wechatTimeLine(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
        case 'weibo':
          $rootScope.share_weibo(params.title, params.description, params.thumb, params.url).then(success, fail);
          return true;
      }

      function success(response) {
        console.log('分享成功', response);
      }

      function fail(failResponse) {
        console.log('分享失败', failResponse);
      }

    }

    function navBack() {
      $ionicHistory.goBack();
    }


  }

})();
