/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('SettingCtrl', MainController);

  function MainController($scope, $state, $httpFactory,$ionicHistory,$ionicPopup,$rootScope,$ionicLoading,$timeout,localStorageService) {
    {
      $scope.iosPayOpen = $rootScope.ios_isPayChoose;//是否打开支付
      $scope.isIos = $rootScope.isIos;//是否为ios设备
      $scope.receiptInfo = receiptInfo;
      $scope.appraise = appraise;
      $scope.cacheManager = cacheManager;
      $scope.feedback = feedback;
      $scope.about = about;
      $scope.navBack = navBack;
      $scope.feedback = feedback;
      $scope.evaluate = evaluate;
      $scope.about = about;
      $scope.logout = logout;
      $scope.sureLogout = sureLogout;
      $scope.closeLogin = closeLogin;
    }

    function closeLogin() {
      $scope.logoutPopup.close();
      return;
    }

    function logout(){
      $scope.logoutPopup = $ionicPopup.show({
        cssClass: 'myPopup',
        templateUrl: 'app/userInfo/logoutPopup.html',
        scope: $scope,
      });
    }

    function sureLogout() {
      var formData = localStorageService.get('formData');// 本地存储
      var openBook = localStorageService.get('openBook');
      localStorageService.clearAll();
      localStorageService.set('formData', formData);
      localStorageService.set('openBook', openBook);
      $ionicHistory.clearCache();

      appv.currentUser = null;
      appv.token = null;
      appv.bookGold = null;
      $rootScope.userInfo=null;
      $rootScope.refreshLoginInfo();
      $httpFactory.setToken(null);    //清空http请求头token
      closeLogin();
      $ionicLoading.show({template: '退出成功'});
      //$rootScope.login();
      $state.go('app.loginBefore');
    }


    /*关于赛学霸物理*/
    function about() {
      my.log("关于赛学霸物理");
      $state.go('app.about')
    }

    /*评价*/
    function evaluate(){
      $state.go('app.evaluate');
    }

    function feedback(){
      $state.go('app.feedback');
    }

    /*收货信息*/
    function receiptInfo() {
      my.log("收货信息");
      $state.go('app.receipt');
    }

    /*评价我们*/
    function appraise() {
      my.log("评价我们");
      if ($rootScope.isIos) {

      } else if ($rootScope.isAndroid) {

      }
    }

    /*缓存管理*/
    function cacheManager() {
      my.log("缓存管理");
      var ref = window.open("http://192.168.3.223/testOutBower.html", "_blank", 'location=yes');
      ref.addEventListener('mycmd', function (json) {// 监听browser自定义指令
        /*eg. {"type":"mycmd","args":"this is a test","url":"http://192.168.3.223/testOutBower.html","origUrl":"http://192.168.3.223/testOutBower.html"} */
        my.log("555" + JSON.stringify(json));
      });

    }

    /*帮助反馈*/
    function feedback() {
      my.log("帮助反馈");
      $state.go('app.feedback');
    }

    /*关于赛学霸物理*/
    function about() {
      my.log("关于赛学霸物理");
      $state.go('app.about')
    }

    /*返回主页*/
    function navBack() {
      $ionicHistory.goBack();
      // $state.go('app.table.home');
    }
  }

})();
