/**
 * Created by Administrator on 2016/9/1.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('WelcomeCtrl', MainController);

  function MainController($scope, $rootScope,$state,$timeout, $ionicHistory, LoginFactory, RouteData) {
    {
      initAnim();// 初始化动画

      setTimeout(function () {
        LoginFactory.initLoginModal($rootScope);
      }, 1500);// 适当延时,首屏加速

      $scope.isOneLogin = true;
      //LoginFactory.initLoginModal($rootScope);

      $ionicHistory.nextViewOptions({historyRoot: true});        //设定下一个页面为主路由
      RouteData.welcome = {after: true};// 已经过
      $scope.isAndrois = _app.isAndroid ? true : false;

      console.log('splash.w',navigator.splashscreen);
      onLoaded();
    }

    function onLoaded() {
      $scope.$watch('$viewContentLoaded', function () {
        console.timeEnd('App load');
        console.log('splash.w.viewLoad',navigator.splashscreen);
        navigator.splashscreen && navigator.splashscreen.hide();// 加载完毕后关闭启动屏幕
      });
    }

    function initAnim() {
      setTimeout(function () {
        // 苹果掉落
        angular.element(document.querySelector('.apple_down_d')).addClass('down')
          .on("webkitTransitionEnd", function () {

            // 1.表情变化
            angular.element(document.querySelector('.head>img'))
              .attr('src', 'img/welcome/head_2.png');

            // 2.消失苹果
            angular.element(document.querySelector('.apple_down_d')).css('opacity', 0)
              .on("webkitTransitionEnd", function () {
                // 3.想法
                angular.element(document.querySelector('.idea_1d')).css('opacity', 1);

                setTimeout(function () {
                  angular.element(document.querySelector('.idea_1d')).css('opacity', 0);
                  angular.element(document.querySelector('.idea_2d')).css('opacity', 1);
                  angular.element(document.querySelector('.idea_3d')).css('opacity', 1)
                    .on("webkitTransitionEnd", function () {
                      // 5. 登录显示
                      angular.element(document.querySelector('.next_choice')).css('opacity', 1);
                      //$rootScope.login();
                      $state.go('app.loginBefore');
                    });

                  // 4.表情变化
                  angular.element(document.querySelector('.head>img')).attr('src', 'img/welcome/head_3.png');
                }, 1000);
              });
          });

      }, 1800);
    }
  }
})();
