cordova.define("com.wosai.umeng.UmengService", function(require, exports, module) {
var cordova = require('cordova');

var UmengService = function () {
};

UmengService.prototype = {

  init2 : function(appKey, channelId) {
    cordova.exec(null, null, "Umeng", "init", [ appKey, channelId ]);
  },
  onCCEvent : function(evenArray, evenValue, eventLabel) {
    cordova.exec(null, null, "Umeng", "onCCEvent", [ evenArray, evenValue, eventLabel ]);

  },
  onEvent : function(eventId) {
    cordova.exec(null, null, "Umeng", "onEvent", [ eventId ]);

  },
  onEventWithLabel : function(eventId, eventLabel) {
    cordova.exec(null, null, "Umeng", "onEventWithLabel", [ eventId, eventLabel ]);

  },
  onEventWithParameters : function(eventId, eventData) {
    cordova.exec(null, null, "Umeng", "onEventWithParameters", [ eventId, eventData ]);

  },
  onEventWithCounter : function(eventId, eventData, eventNum) {
    cordova.exec(null, null, "Umeng", "onEventWithCounter", [ eventId, eventData, eventNum ]);

  },
  onPageBegin : function(pageName) {
    cordova.exec(null, null, "Umeng", "onPageBegin", [ pageName ]);

  },
  onPageEnd : function(pageName) {
    cordova.exec(null, null, "Umeng", "onPageEnd", [ pageName ]);

  },
  getDeviceId : function(callBack) {
    cordova.exec(callBack, null, "Umeng", "getDeviceId", []);

  },
  setLogEnabled : function(enabled) {
    cordova.exec(null, null, "Umeng", "setLogEnabled", [ enabled ]);
  },
  profileSignInWithPUID : function(UID) {
    cordova.exec(null, null, "Umeng", "profileSignInWithPUID", [ UID ]);
  },
  profileSignInWithPUIDWithProvider : function(provider, UID) {
    cordova.exec(null, null, "Umeng", "profileSignInWithPUIDWithProvider", [ provider, UID ]);

  },
  profileSignOff : function() {
    cordova.exec(null, null, "Umeng", "profileSignOff", []);

  },
  setUserLevelId : function(level) {
    cordova.exec(null, null, "Umeng", "setUserLevelId", [ level ]);

  },
  startLevel : function(level) {
    cordova.exec(null, null, "Umeng", "startLevel", [ level ]);

  },
  finishLevel : function(level) {
    cordova.exec(null, null, "Umeng", "finishLevel", [ level ]);

  },
  failLevel : function(level) {
    cordova.exec(null, null, "Umeng", "failLevel", [ level ]);

  },
  exchange : function(currencyAmount, currencyType, virtualAmount, channel, orderId) {
    cordova.exec(null, null, "Umeng", "exchange", [ currencyAmount, currencyType, virtualAmount, channel,
      orderId ]);

  },
  pay : function(money, coin, source) {
    cordova.exec(null, null, "Umeng", "pay", [ money, coin, source ]);

  },
  payWithItem : function(money, item, number, price, source) {
    cordova.exec(null, null, "Umeng", "payWithItem", [ money, item, number, price, source ]);

  },
  buy : function(item, number, price) {
    cordova.exec(null, null, "Umeng", "buy", [ item, number, price ]);

  },
  use : function(item, number, price) {
    cordova.exec(null, null, "Umeng", "use", [ item, number, price ]);

  },
  bonus : function(coin, source) {
    cordova.exec(null, null, "Umeng", "bonus", [ coin, source ]);

  },
  bonusWithItem : function(item, number, price, source) {
    cordova.exec(null, null, "Umeng", "bonusWithItem", [ item, number, price, source ]);

  }
};

/**初始化--启动时调用*/
UmengService.prototype.init = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'init', [commandJson]);
};

/**手动恢复
 * {"pageName":"main"}
 * {"pageName":"register"}
 * {"pageName":"main"}
 * */
UmengService.prototype.resume = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'resume', [commandJson]);
};

/**手动暂停
 * {"pageName":"main"}
 * */
UmengService.prototype.pause = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'pause', [commandJson]);
};

/**设置debug模式
 * "true"
 * */
UmengService.prototype.debug = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'debug', ['true']);
};

/**进入页面
 * {"pageName":"main"}
 * */
UmengService.prototype.start = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'start', [commandJson]);
};

/**离开页面
 * {"pageName":"login"}
 * */
UmengService.prototype.end = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'end', [commandJson]);
};

/**更新帐号统计,区分第三方
 * {"count":1,"userId":"userID"}
 * {"count":2,"userId":"userID","thrid":"WeiXin"}
 * {"count":2,"userId":"userID","thrid":"WeiBo"}
 * {"count":2,"userId":"userID","thrid":"QQ"}
 * */
UmengService.prototype.updateSign = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'updateSign', [commandJson]);
};

console.log("加载友盟插件");
var umengService = new UmengService();
module.exports = umengService;

});
